Groovy 1.7.0

## org.codehaus.groovy.ast
Interface GroovyClassVisitor

    interface GroovyClassVisitor

An implementation of the visitor pattern for working with ASTNodes

author:
  James Strachan

version:
  $Revision: 7922 $

Method Summary
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`

Method Detail

### visitClass

    public void visitClass(ClassNode node)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

Copyright © 2003-2009 The Codehaus. All rights reserved.